<?xml version="1.0" encoding="UTF-8"?>
<schema
	xmlns="http://www.w3.org/2001/XMLSchema"
	targetNamespace="http://www.eclipse.org/hyades/schema/Adapter.xsd"
	xmlns:Adapter="http://www.eclipse.org/hyades/schema/Adapter.xsd"
	xmlns:Context="http://www.eclipse.org/hyades/schema/Context.xsd"
	xmlns:cc="http://www.eclipse.org/hyades/schema/ComponentConfiguration.xsd"
	elementFormDefault="qualified">
	<annotation>
	  <documentation xml:lang="en">
	    Copyright (c) 2003 Hyades project.
		All rights reserved.   This program and the accompanying materials
		are made available under the terms of the Common Public License v1.0
		which accompanies this distribution, and is available at
		http://www.eclipse.org/legal/cpl-v10.html
	  </documentation>
	 </annotation>
	<import
		namespace="http://www.eclipse.org/hyades/schema/Context.xsd"
		schemaLocation="Context.xsd" />
	<import
		namespace="http://www.eclipse.org/hyades/schema/ComponentConfiguration.xsd"
		schemaLocation="ComponentConfiguration.xsd" />
	<element name="Adapter">
		<complexType>
			<sequence>
				<element
					name="Contexts"
					type="Context:ContextsType"
					minOccurs="1"
					maxOccurs="1" />
				<element
					name="Configuration"
					type="cc:ConfigurationType"
					minOccurs="0"
					maxOccurs="1" />
			</sequence>
		</complexType>
	</element>
</schema>